org.flexdock.dockbar.event

## Class DockbarEvent

- java.lang.Object
- - java.util.EventObject
  - - org.flexdock.event.Event
    - - org.flexdock.dockbar.event.DockbarEvent

All Implemented Interfaces:
  java.io.Serializable, DockingConstants

    public class DockbarEvent
    extends Event

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `COLLAPSED`
`static int` `EXPANDED`
`static int` `LOCKED`
`static int` `MINIMIZE_COMPLETED`
`static int` `MINIMIZE_STARTED`

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`DockbarEvent(Dockable dockable, int type, int edge)`

### Method Summary

Methods
`void` `consume()`
`int` `getEdge()`
`boolean` `isConsumed()`

### Methods inherited from class org.flexdock.event.Event

`getEventType`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EXPANDED

    public static final int EXPANDED

See Also:
  Constant Field Values

#### LOCKED

    public static final int LOCKED

See Also:
  Constant Field Values

#### COLLAPSED

    public static final int COLLAPSED

See Also:
  Constant Field Values

#### MINIMIZE_STARTED

    public static final int MINIMIZE_STARTED

See Also:
  Constant Field Values

#### MINIMIZE_COMPLETED

    public static final int MINIMIZE_COMPLETED

See Also:
  Constant Field Values

### Constructor Detail

#### DockbarEvent

    public DockbarEvent(Dockable dockable,
                int type,
                int edge)

### Method Detail

#### getEdge

    public int getEdge()

#### isConsumed

    public boolean isConsumed()

#### consume

    public void consume()